@echo off
cls
echo.
echo 320_mp3_51.bat  Frauenhofer MP3-Encoder Free V1.2 20060828
echo.
echo                   create MP3-Sourround 5.1 with 6 Mono-WAVE 16 Bit
echo                              with 320 kBit/sec and filename "320_mp3_51.mp3"
echo.
echo                      bl.wav, br.wav, c.wav, fl.wav, fr.wav, s.wav
echo.
echo                 or   infile_XX.wav   f.e.  bl.wav  is infile_LS.wav
echo                                            fl.wav  is infile_L.wav
echo.
echo.
IF not exist mp3sEncoder.exe goto error1
if exist bl.wav ren bl.wav infile_LS.wav
if exist br.wav ren br.wav infile_RS.wav
if exist c.wav  ren c.wav  infile_C.wav
if exist fl.wav ren fl.wav infile_L.wav
if exist fr.wav ren fr.wav infile_R.wav
if exist s.wav  ren s.wav  infile_LFE.wav
if not exist infile_LS.wav  goto error2
if not exist infile_RS.wav  goto error2
if not exist infile_C.wav   goto error2
if not exist infile_L.wav   goto error2
if not exist infile_R.wav   goto error2
if not exist infile_LFE.wav goto error2
mp3sEncoder.exe -if infile_L.wav -of 320_mp3_51.mp3 -br 320000 -monofiles
ren infile_LS.wav  bl.wav
ren infile_RS.wav  br.wav
ren infile_C.wav   c.wav
ren infile_L.wav   fl.wav
ren infile_R.wav   fr.wav
ren infile_LFE.wav s.wav
echo.
echo ***** end *****
echo.
goto end
:error1
echo Need mp3sEncoder.exe in same folder of 320_mp3_51.bat
goto end
:error2
echo Call   320_mp3_51.bat
echo.
echo.
echo         Input      WAV 16 Bit 44,1 or 48 kHz  mono
echo                           bl.wav, br.wav, c.wav, fl.wav, fr.wav, s.wav
echo                      or infile_XX.wav   f.e.  bl.wav  is infile_LS.wav
echo.
echo         Output         "320_mp3_51.mp3" with 320 kBit/sec
echo.
echo.
:end
echo.
echo.
pause
